Bug 579070 - Review Request: perl-Log-Dispatch-Array - Log events to an array (reference)
Summary: Review Request: perl-Log-Dispatch-Array - Log events to an array (reference)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Log-Dispa...
Whiteboard:
Depends On:
Blocks: perl-Plack, plack 579322
TreeView+ depends on / blocked
 
Reported: 2010-04-02 13:22 UTC by Iain Arnell
Modified: 2011-08-13 14:29 UTC (History)
3 users (show)

Fixed In Version: perl-Log-Dispatch-Array-1.001-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-20 13:05:57 UTC
cweyl: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-04-02 13:22:29 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Log-Dispatch-Array.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Log-Dispatch-Array-1.001-1.fc14.src.rpm

Description:
This provides a Log::Dispatch log output system that appends logged events
to an array reference. This is probably only useful for testing the logging
of your code.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2091197

*rt-0.10_01

Comment 1 Chris Weyl 2010-04-02 15:30:28 UTC
Looks good!

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2091197

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
3320c3d4f0712f204c623011378bed343ca4c7aa Log-Dispatch-Array-1.001.tar.gz
3320c3d4f0712f204c623011378bed343ca4c7aa Log-Dispatch-Array-1.001.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Log-Dispatch-Array-1.001-1.fc14.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Log-Dispatch-Array-1.001-1.fc14.noarch.rpm
perl(Log::Dispatch::Array) = 1.001
perl-Log-Dispatch-Array = 1.001-1.fc14
====> requires for perl-Log-Dispatch-Array-1.001-1.fc14.noarch.rpm
perl(base)  
perl(Log::Dispatch::Output)  
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  
perl(warnings)  

=====> perl-Log-Dispatch-Array-1.001-1.fc14.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Log-Dispatch-Array-1.001-1.fc14.src.rpm
====> requires for perl-Log-Dispatch-Array-1.001-1.fc14.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Log::Dispatch::Output)  
perl(Test::Deep)  
perl(Test::More)  

APPROVED

Comment 2 Iain Arnell 2010-04-02 16:21:28 UTC
New Package CVS Request
=======================
Package Name: perl-Log-Dispatch-Array
Short Description: Log events to an array (reference)
Owners: iarnell
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-04-03 17:44:44 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-04-04 07:09:54 UTC
perl-Log-Dispatch-Array-1.001-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Log-Dispatch-Array-1.001-1.fc12

Comment 5 Fedora Update System 2010-04-04 07:09:59 UTC
perl-Log-Dispatch-Array-1.001-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Log-Dispatch-Array-1.001-1.fc11

Comment 6 Fedora Update System 2010-04-04 07:10:03 UTC
perl-Log-Dispatch-Array-1.001-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Log-Dispatch-Array-1.001-1.fc13

Comment 7 Fedora Update System 2010-04-06 19:55:03 UTC
perl-Log-Dispatch-Array-1.001-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Log-Dispatch-Array'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Log-Dispatch-Array-1.001-1.fc13

Comment 8 Fedora Update System 2010-04-09 01:28:38 UTC
perl-Log-Dispatch-Array-1.001-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Log-Dispatch-Array'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Log-Dispatch-Array-1.001-1.fc12

Comment 9 Fedora Update System 2010-04-09 01:32:41 UTC
perl-Log-Dispatch-Array-1.001-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Log-Dispatch-Array'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Log-Dispatch-Array-1.001-1.fc11

Comment 10 Fedora Update System 2010-04-20 13:05:53 UTC
perl-Log-Dispatch-Array-1.001-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-20 13:21:03 UTC
perl-Log-Dispatch-Array-1.001-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-20 13:37:03 UTC
perl-Log-Dispatch-Array-1.001-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Jose Pedro Oliveira 2011-08-12 22:24:30 UTC
Package Change Request
======================
Package Name: perl-Log-Dispatch-Array
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 14 Iain Arnell 2011-08-13 06:16:45 UTC
Package Change Request
======================
Package Name: perl-Log-Dispatch-Array
New Branches: el6
Owners: iarnell jpo
InitialCC: perl-sig

It's customary to ask the existing maintainer before requesting EPEL branches. I'm more than happy for mine to be branched, but I like to know about it and be owner so that I know what's going on with the package (I pay far more attention to mail directed at me than to perl-devel list).

Comment 15 Gwyn Ciesla 2011-08-13 14:29:57 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.